Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum XMLNodeSearchParameter

    java.lang.Object
      java.lang.Enum<XMLNodeSearchParameter>
          nl.liacs.subdisc.XMLNodeSearchParameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XMLNodeSearchParameter>

    public enum XMLNodeSearchParameter

extends java.lang.Enum<XMLNodeSearchParameter>

Enum Constant Summary
`ALPHA`
`BETA`
`MAXIMUM_NR_SUBGROUPS`
`MAXIMUM_POST_PROCESSING_COUNT`
`MAXIMUM_SEARCH_DEPTH`
`MAXIMUM_TIME`
`MINIMUM_SEARCH_DEPTH`
`NR_SPLITPOINTS`
`NUMERIC_STRATEGY`
`POST_PROCESSING_COUNT`
`QUALITY_MEASURE`
`QUALITY_MEASURE_MINIMUM`
`SEARCH_DEPTH`
`SEARCH_STRATEGY`
`SEARCH_STRATEGY_WIDTH`

Method Summary
`static XMLNodeSearchParameter` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XMLNodeSearchParameter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### QUALITY_MEASURE

    public static final XMLNodeSearchParameter QUALITY_MEASURE

### QUALITY_MEASURE_MINIMUM

    public static final XMLNodeSearchParameter QUALITY_MEASURE_MINIMUM

### SEARCH_DEPTH

    public static final XMLNodeSearchParameter SEARCH_DEPTH

### MINIMUM_SEARCH_DEPTH

    public static final XMLNodeSearchParameter MINIMUM_SEARCH_DEPTH

### MAXIMUM_SEARCH_DEPTH

    public static final XMLNodeSearchParameter MAXIMUM_SEARCH_DEPTH

### MAXIMUM_NR_SUBGROUPS

    public static final XMLNodeSearchParameter MAXIMUM_NR_SUBGROUPS

### MAXIMUM_TIME

    public static final XMLNodeSearchParameter MAXIMUM_TIME

### SEARCH_STRATEGY

    public static final XMLNodeSearchParameter SEARCH_STRATEGY

### SEARCH_STRATEGY_WIDTH

    public static final XMLNodeSearchParameter SEARCH_STRATEGY_WIDTH

### NUMERIC_STRATEGY

    public static final XMLNodeSearchParameter NUMERIC_STRATEGY

### NR_SPLITPOINTS

    public static final XMLNodeSearchParameter NR_SPLITPOINTS

### ALPHA

    public static final XMLNodeSearchParameter ALPHA

### BETA

    public static final XMLNodeSearchParameter BETA

### POST_PROCESSING_COUNT

    public static final XMLNodeSearchParameter POST_PROCESSING_COUNT

### MAXIMUM_POST_PROCESSING_COUNT

    public static final XMLNodeSearchParameter MAXIMUM_POST_PROCESSING_COUNT

Method Detail

### values

    public static XMLNodeSearchParameter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (XMLNodeSearchParameter c : XMLNodeSearchParameter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static XMLNodeSearchParameter valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD